VST 3 Interfaces: IDataExchangeReceiver Class Reference
Author: Steinberg

VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Static Public Attributes | List of all members
IDataExchangeReceiver Class Referenceabstract

Data Exchange Receiver interface: Vst::IDataExchangeReceiver. More...

`#include <ivstdataexchange.h>`

Inheritance diagram for IDataExchangeReceiver:

## Public Member Functions
virtual void | queueOpened (DataExchangeUserContextID userContextID, uint32 blockSize, TBool &dispatchOnBackgroundThread)=0
| queue opened notification
virtual void | queueClosed (DataExchangeUserContextID userContextID)=0
| queue closed notification
virtual void | onDataExchangeBlocksReceived (DataExchangeUserContextID userContextID, uint32 numBlocks, DataExchangeBlock *blocks, TBool onBackgroundThread)=0
| one or more blocks were received
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Data Exchange Receiver interface: Vst::IDataExchangeReceiver.

- [plug imp]
- [released: 3.7.9
- [optional]

The receiver interface is required to receive data from the realtime audio process via the IDataExchangeHandler.

See Also
  IDataExchangeHandler

## Member Function Documentation

virtual void queueOpened | ( | DataExchangeUserContextID | userContextID,
|  | uint32 | blockSize,
|  | TBool & | dispatchOnBackgroundThread
| ) |  |
| pure virtual

queue opened notification

called on the main thread when the processor has opened a queue

Parameters

  userContextID | the user context ID of the queue
  blockSize | the size of one block of the queue
  dispatchedOnBackgroundThread | if true on output the blocks are dispatched on a background thread [defaults to false in which case the blocks are dispatched on the main thread]

virtual void queueClosed | ( | DataExchangeUserContextID | userContextID | ) |
| pure virtual

queue closed notification

called on the main thread when the processor has closed a queue

Parameters

  userContextID | the user context ID of the queue

virtual void onDataExchangeBlocksReceived | ( | DataExchangeUserContextID | userContextID,
|  | uint32 | numBlocks,
|  | DataExchangeBlock * | blocks,
|  | TBool | onBackgroundThread
| ) |  |
| pure virtual

one or more blocks were received

called either on the main thread or a background thread depending on the dispatchOnBackgroundThread value in the queueOpened call.

the data of the blocks are only valid inside this call and the blocks only become available to the queue afterwards.

Parameters

  userContextID | the user context ID of the queue
  numBlocks | number of blocks
  blocks | the blocks
  onBackgroundThread | true if the call is done on a background thread

## Member Data Documentation

const FUID iid
| static

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.